### GET /unified/hris/benefits Source: https://api.eu1.stackone.com/oas/hris.json API endpoint for GET /unified/hris/benefits ```markdown ### Parameters - **x-account-id** (string, header, required): The account identifier - **raw** (boolean, query, optional): Indicates that the raw request result should be returned in addition to the mapped result (default value is false) - **proxy** (object, query, optional): Query parameters that can be used to pass through parameters to the underlying provider request by surrounding them with 'proxy' key - **fields** (string, query, optional): The comma separated list of fields that will be returned in the response (if empty, all fields are returned) (example: "id,remote_id,name,benefit_type,provider,description,created_at,updated_at,unified_custom_fields") - **filter** (object, query, optional): Filter parameters that allow greater customisation of the list response - **page** (string, query, optional): The page number of the results to fetch - **page_size** (string, query, optional): The number of results per page (default value is 25) - **next** (string, query, optional): The unified cursor - **updated_after** (string (date-time), query, optional): Use a string with a date to only select results updated after that given date (example: "2020-01-01T00:00:00.000Z") ### Responses #### 200 - The list of Benefits was retrieved. **HRISBenefitsPaginated** - **next_page** (string) - **next** (string) - **data** (array (object)) (required) Array items: - **id** (string): Unique identifier (example: "8187e5da-dc77-475e-9949-af0f1fa4e4e3") - **remote_id** (string): Provider's unique identifier (example: "8187e5da-dc77-475e-9949-af0f1fa4e4e3") - **name** (string): The name of the benefit (example: "Health Insurance") - **benefit_type** (object) - **value** (string (retirement_savings|health_savings|other|health_insurance|insurance|unmapped_value|)): The type of the benefit ("retirement_savings"|"health_savings"|"other"|"health_insurance"|"insurance"|"unmapped_value"|"null") - **source_value** (string) - **provider** (string): The provider of the benefit (example: "Aetna") - **description** (string): The description of the benefit (example: "Health insurance for employees") - **created_at** (string (date-time)): The date and time the benefit was created (example: "2021-01-01T00:00:00Z") - **updated_at** (string (date-time)): The date and time the benefit was last updated (example: "2021-01-01T00:00:00Z") - **raw** (array (object)) Array items: - **method** (string) (required) - **url** (string) (required) - **body** (string) - **response** (object) #### 400 - Invalid request. **BadRequestResponse** - **statusCode** (number) (required): HTTP status code (example: 400) - **message** (string) (required): Error message (example: "Bad Request") - **timestamp** (string (date-time)) (required): Timestamp when the error occurred (example: "2023-05-30T00:00:00.000Z") - **data** (object) - **statusCode** (number): HTTP status code (example: 400) - **message** (string): Error message (example: "Bad Request") - **headers** (object): Response headers (example: {"content-type":"application/json","x-request-id":"5678c28b211dace4e0a0f9171e6b88c5"}) - **provider_errors** (array (object)): List of provider-specific errors Array items: - **status** (number): HTTP status code of the provider error (example: 400) - **url** (string): URL that caused the error (example: "https://api.provider.com/v1/resource") - **raw** (object): Raw error response from the provider (example: {"message":"Invalid input parameters"}) - **headers** (object): Response headers (example: {"content-type":"application/json","x-request-id":"5678c28b211dace4e0a0f9171e6b88c5"}) #### 401 - Unauthorized access. **UnauthorizedResponse** - **statusCode** (number) (required): HTTP status code (example: 401) - **message** (string) (required): Error message (example: "Unauthorized") - **timestamp** (string (date-time)) (required): Timestamp when the error occurred (example: "2023-05-30T00:00:00.000Z") #### 403 - Forbidden. **ForbiddenResponse** - **statusCode** (number) (required): HTTP status code (example: 403) - **message** (string) (required): Error message (example: "Forbidden resource") - **timestamp** (string (date-time)) (required): Timestamp when the error occurred (example: "2023-05-30T00:00:00.000Z") #### 404 - Resource not found. **NotFoundResponse** - **statusCode** (number) (required): HTTP status code (example: 404) - **message** (string) (required): Error message (example: "Not Found") - **timestamp** (string (date-time)) (required): Timestamp when the error occurred (example: "2023-05-30T00:00:00.000Z") #### 408 - The request has timed out. **RequestTimedOutResponse** - **statusCode** (number) (required): HTTP status code (example: 408) - **message** (string) (required): Error message (example: "Request timed out") - **timestamp** (string (date-time)) (required): Timestamp when the error occurred (example: "2023-05-30T00:00:00.000Z") #### 409 - Conflict with current state. **ConflictResponse** - **statusCode** (number) (required): HTTP status code (example: 409) - **message** (string) (required): Error message (example: "Conflict") - **timestamp** (string (date-time)) (required): Timestamp when the error occurred (example: "2023-05-30T00:00:00.000Z") #### 412 - Precondition failed: linked account belongs to a disabled integration. **PreconditionFailedResponse** - **statusCode** (number) (required): HTTP status code (example: 412) - **message** (string) (required): Error message (example: "Precondition failed") - **timestamp** (string (date-time)) (required): Timestamp when the error occurred (example: "2023-05-30T00:00:00.000Z") #### 422 - Validation error. **UnprocessableEntityResponse** - **statusCode** (number) (required): HTTP status code (example: 422) - **message** (string) (required): Error message (example: "Unprocessable Entity") - **timestamp** (string (date-time)) (required): Timestamp when the error occurred (example: "2023-05-30T00:00:00.000Z") #### 429 - Too many requests. **TooManyRequestsResponse** - **statusCode** (number) (required): HTTP status code (example: 429) - **message** (string) (required): Error message (example: "Too many requests") - **timestamp** (string (date-time)) (required): Timestamp when the error occurred (example: "2023-05-30T00:00:00.000Z") #### 500 - Server error while executing the request. **InternalServerErrorResponse** - **statusCode** (number) (required): HTTP status code (example: 500) - **message** (string) (required): Error message (example: "Internal server error") - **timestamp** (string (date-time)) (required): Timestamp when the error occurred (example: "2023-05-30T00:00:00.000Z") #### 501 - This functionality is not implemented. **NotImplementedResponse** - **statusCode** (number) (required): HTTP status code (example: 501) - **message** (string) (required): Error message (example: "Not Implemented") - **timestamp** (string (date-time)) (required): Timestamp when the error occurred (example: "2023-05-30T00:00:00.000Z") #### 502 - Bad gateway error. **BadGatewayResponse** - **statusCode** (number) (required): HTTP status code (example: 502) - **message** (string) (required): Error message (example: "Bad Gateway") - **timestamp** (string (date-time)) (required): Timestamp when the error occurred (example: "2023-05-30T00:00:00.000Z") ### Example Usage ```bash curl -X GET "https://api.stackone.com/unified/hris/benefits?raw=true&proxy=value&fields=id,remote_id,name,benefit_type,provider,description,created_at,updated_at,unified_custom_fields&filter=value&page=string&page_size=string&next=string&updated_after=2020-01-01T00:00:00.000Z" ``` ``` -------------------------------- ### API Overview: HRIS Source: https://api.eu1.stackone.com/oas/hris.json The documentation for the StackOne Unified API - HRIS ```yaml # HRIS # Version: 1.0.0 The documentation for the StackOne Unified API - HRIS # Base URL: https://api.stackone.com ```